Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class MemberIterator

    java.lang.Object
      org.eclipse.birt.report.model.api.MemberIterator

All Implemented Interfaces:
  java.util.Iterator

    public class MemberIterator

extends java.lang.Object
implements java.util.Iterator

An iterator over the members of a structure. Each call to `getNext( )` returns a `MemberHandle` for the next structure member.

Field Summary
`protected boolean` | `isValid`
`protected java.util.Iterator` | `iter` Iterator over the members.
`protected org.eclipse.birt.report.model.metadata.StructureDefn` | `structDefn` The definition of the structure.
`protected StructureHandle` | `structHandle` Handle to the structure itself.

Constructor Summary
`MemberIterator(StructureHandle struct)` Constructs a member iterator with the given structure handle.

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()` Returns a handle to the next member.
`void` | `remove()` The remove operation is not supported when iterating over a structure; the application cannot remove members of a structure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### structHandle

    protected StructureHandle structHandle

  Handle to the structure itself.

### structDefn

    protected org.eclipse.birt.report.model.metadata.StructureDefn structDefn

  The definition of the structure.

### iter

    protected java.util.Iterator iter

  Iterator over the members.

### isValid

    protected boolean isValid

Constructor Detail

### MemberIterator

    public MemberIterator(StructureHandle struct)

  Constructs a member iterator with the given structure handle.

  Parameters:
    `struct` - handle to the structure over which to iterate

Method Detail

### remove

    public void remove()

  The remove operation is not supported when iterating over a structure; the application cannot remove members of a structure.

  Specified by:
    `remove` in interface `java.util.Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Returns a handle to the next member. Implementation of iterator.next( )

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    a handle to the next member.
  See Also:
    `MemberHandle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.